## broadcom-sta 5.10.91.9.3

=== i386/Makefile ===

#
# Makefile fragment for Linux 2.6
# Broadcom 802.11abg Networking Device Driver
#
# Copyright 2008, Broadcom Corporation
# All Rights Reserved.
# 
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
# the contents of this file may not be disclosed to third parties, copied
# or duplicated in any form, in whole or in part, without the prior
# written permission of Broadcom Corporation.
#
# $Id: Makefile_kbuild_portsrc,v 1.1.2.4.84.1 2009/08/11 01:19:20 Exp $

obj-m              += wl.o

wl-objs            := 
wl-objs            += src/wl/sys/wl_linux.o
wl-objs            += src/wl/sys/wl_iw.o
wl-objs            += src/shared/linux_osl.o

EXTRA_CFLAGS       :=
EXTRA_CFLAGS       += -I$(src)/src/include
EXTRA_CFLAGS       += -I$(src)/src/wl/sys

EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped

all:
	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`

clean:
	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd` clean

install:
	install -D -m 755 wl.ko /lib/modules/`uname -r`/kernel/drivers/net/wireless/wl.ko

## broadcom-sta 5.100.82.38

=== debian/changelog ===
broadcom-sta (5.100.82.38-2) unstable; urgency=low

  * Updated supported chipset details, thanks to Geoff Simmons
    <gsimmons@gsimmons.org> (Closes: #620149). 
  * Added brcmsmac to blacklist, thanks to Geoff Simmons for the tip
    (Closes: #626283).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Wed, 11 May 2011 07:24:54 +0400

broadcom-sta (5.100.82.38-1) unstable; urgency=low

  * New upstream release (Closes: #605715).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Updated my e-mail.
  * Rebuild initrd when broadcom-sta-common is configured (Closes: #591869). 
  * Added brcm80211 driver to blacklist as requested by Ben Hutchings
    (Closes: #597786, #601009, #611539).
  * Added upstream changelog and README.txt files.
  * Removed applyed upstream patch for 2.6.33 compatibility.
  * Removed applyed upstream patch for 2.6.35 compatibility.
  * Added patch to compile with 2.6.37.
  * Added patch from Anisse Astier <anisse@astier.eu> to compile with minimal
    kernel configuration (Closes: #612445).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Thu, 10 Feb 2011 09:21:50 +0400

broadcom-sta (5.60.48.36-3) unstable; urgency=low

  * Added upstream patch to compile with 2.6.35 (Closes: #591549).
  * Bumped standards version to 3.9.1 (No changes).

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Thu, 05 Aug 2010 11:44:37 +0400

broadcom-sta (5.60.48.36-2) unstable; urgency=low

  * Added patch to compile with 2.6.33 (Closes: #572314, #572429). 
  * Added patch from Michael Tuschik for cross-compilation. (Closes: #579839)

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Mon, 24 May 2010 10:22:44 +0400

broadcom-sta (5.60.48.36-1) unstable; urgency=low

  * New upstream release (Closes: #571233).
  * Removed applyed upstream patch for 2.6.32 compatibility.
  * Refreshed 01-license.patch file.
  * Bumped standards version to 3.8.4 (No changes).
  * Added BCM4313 to the list of supported cards.

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Wed, 24 Feb 2010 21:12:29 +0400

broadcom-sta (5.10.91.9.3-3) unstable; urgency=low

  * Blacklisting b43legacy, b43, b44 and ssb modules (Closes: #545388).
  * Added a note to README.Debian (broadcom-sta-common) to explain why b44
    module is blacklisted.

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Thu, 14 Jan 2010 22:33:24 +0400

broadcom-sta (5.10.91.9.3-2) unstable; urgency=low

  * Added patch from Emilio Coppa <ercoppa@gmail.com> to compile with 2.6.32.
  * Added a note to README.Debian to inform the user that he should now use
    the free b43 driver (Closes: #542775).

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Sat, 19 Dec 2009 11:48:47 +0400

broadcom-sta (5.10.91.9.3-1) unstable; urgency=low

  * New maintainer (Closes: #543888).
  * New upstream release (Closes: #547373, #551364).
  * Compile with 2.6.31.
  * Removed applyed upstream patches.
  * Refreshed 01-license.patch file.
  * Fixed dh_installdeb called twice.
  * Added README.source file referring to /usr/share/doc/quilt/README.source

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Wed, 11 Nov 2009 14:12:55 +0400

broadcom-sta (5.10.91.9-3) unstable; urgency=low

  * Actually updating the maintainers field.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:53:07 +0200

broadcom-sta (5.10.91.9-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:38:01 +0200

broadcom-sta (5.10.91.9-1) unstable; urgency=low

  * Merging upstream version 5.10.91.9.
  * Using correct rfc-2822 date formats in changelog.
  * Correcting broadcom-sta-common package description.
  * Adding patch from Chris Nolan <chris@cenolan.com> to allow the
    driver to associate with hidden SSID networks using Network Manager.
  * Adding patch to export module license symbol.
  * Adding updated 2.6.29 patch from Alexander Feldman <alex@llama.gs>.
  * Adding patch from Victor Ashirov <victor.ashirov@gmail.com> to
    compile with 2.6.30.
  * Removing wl-iw.patch, not required anymore.
  * Removing disabled patches.

 -- Daniel Baumann <daniel@debian.org>  Tue, 19 May 2009 13:13:00 +0200

broadcom-sta (5.10.79.10-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Apr 2009 00:08:00 +0200

=== debian/control ===
Source: broadcom-sta
Section: non-free/admin
Priority: optional
Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
Build-Depends: debhelper (>= 7), quilt
Standards-Version: 3.9.1
Homepage: http://www.broadcom.com/support/802.11/linux_sta.php

Package: broadcom-sta-common
Architecture: all
Depends: ${misc:Depends}
Recommends: broadcom-sta-source, module-assistant
Suggests: wireless-tools
Description: Common files for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
 hardware.
 .
 This package contains the common files.

Package: broadcom-sta-source
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 7), bzip2, make, quilt
Recommends: module-assistant
Suggests: wireless-tools
Description: Source for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
 hardware.
 .
 This package provides the source code for the wl kernel modules. The
 wireless-tools package is also required in order to make use of these modules.
 Kernel source or headers are required to compile these modules.

## broadcom-sta 5.100.82.112

=== amd64/Makefile ===

#
# Makefile fragment for Linux 2.6
# Broadcom 802.11abg Networking Device Driver
#
# Copyright (C) 2010, Broadcom Corporation
# All Rights Reserved.
# 
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
# the contents of this file may not be disclosed to third parties, copied
# or duplicated in any form, in whole or in part, without the prior
# written permission of Broadcom Corporation.
#
# $Id: Makefile_kbuild_portsrc,v 1.6.54.4 2011-01-27 00:55:34 Exp $

ifneq ($(KERNELRELEASE),)

  LINUXVER_GOODFOR_CFG80211:=$(strip $(shell \
    if [ "$(VERSION)" -ge "2" -a "$(PATCHLEVEL)" -ge "6" -a "$(SUBLEVEL)" -ge "32" ]; then \
      echo TRUE; \
    else \
      echo FALSE; \
    fi \
  ))

    LINUXVER_WEXT_ONLY:=$(strip $(shell \
    if [ "$(VERSION)" -ge "2" -a "$(PATCHLEVEL)" -ge "6" -a "$(SUBLEVEL)" -ge "17" ]; then \
      echo FALSE; \
    else \
      echo TRUE; \
    fi \
  ))

  ifneq ($(API),)
    ifeq ($(API), CFG80211)
      APICHOICE := FORCE_CFG80211
      $(info CFG80211 API specified in command line)
    else
      ifeq ($(API), WEXT)
        APICHOICE := FORCE_WEXT
        $(info Wireless Extension API specified in command line)
      else
        $(error Unknown API type)
      endif
    endif
  else
    ifeq ($(LINUXVER_GOODFOR_CFG80211),TRUE)
      APICHOICE := PREFER_CFG80211
      $(info CFG80211 API is prefered for this kernel version)
    else
      ifeq ($(LINUXVER_WEXT_ONLY),TRUE)
        APICHOICE := FORCE_WEXT
        $(info Wireless Extension is the only possible API for this kernel version)
      else
        APICHOICE := PREFER_WEXT
        $(info Wireless Extension API is prefered for this kernel version)
      endif
    endif
  endif

  ifeq ($(APICHOICE),FORCE_CFG80211)
    ifneq ($(CONFIG_CFG80211),)
      APIFINAL := CFG80211
    else
      $(error CFG80211 is specified but it is not enabled in kernel)
    endif
  endif

  ifeq ($(APICHOICE),FORCE_WEXT)
    APIFINAL := WEXT
  endif

  ifeq ($(APICHOICE),PREFER_CFG80211)
    ifneq ($(CONFIG_CFG80211),)
      APIFINAL := CFG80211
    else
      ifneq ($(CONFIG_WIRELESS_EXT),)
        APIFINAL := WEXT
      else
        $(warning Neither CFG80211 nor Wireless Extension is enabled in kernel)
      endif
    endif
  endif

  ifeq ($(APICHOICE),PREFER_WEXT)
    ifneq ($(CONFIG_WIRELESS_EXT),)
      APIFINAL := WEXT
    else
      ifneq ($(CONFIG_CFG80211),)
        APIFINAL := CFG80211
      else
        $(warning Neither CFG80211 nor Wireless Extension is enabled in kernel)
      endif
    endif
  endif

endif

EXTRA_CFLAGS :=

ifeq ($(APIFINAL),CFG80211)
  EXTRA_CFLAGS += -DUSE_CFG80211
  $(info Using CFG80211 API)
endif

ifeq ($(APIFINAL),WEXT)
  EXTRA_CFLAGS += -DUSE_IW
  $(info Using Wireless Extension API)
endif

obj-m              += wl.o

wl-objs            := 
wl-objs            += src/shared/linux_osl.o
wl-objs            += src/wl/sys/wl_linux.o
wl-objs            += src/wl/sys/wl_iw.o
wl-objs            += src/wl/sys/wl_cfg80211.o

EXTRA_CFLAGS       += -I$(src)/src/include
EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/phy
#EXTRA_CFLAGS       += -DBCMDBG_ASSERT

EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped

all:
	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`

clean:
	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd` clean

install:
	install -D -m 755 wl.ko /lib/modules/`uname -r`/kernel/drivers/net/wireless/wl.ko

=== debian/changelog ===
broadcom-sta (5.100.82.112-3) unstable; urgency=low

  * Added a note to NEWS.Debian to inform the user that the interface has been
    renamed in 5.100.82.112-2 (Closes: #648396).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Fri, 11 Nov 2011 15:09:34 +0400

broadcom-sta (5.100.82.112-2) unstable; urgency=low

  * Added 02-rename-to-wlan0.patch to rename device from eth%d to wlan%d.
  * Added 04-2.6.39.patch to compile with 2.6.39.X kernels.
  * Thanks to Carlos Alberto Lopez Perez <clopez@igalia.com> (Closes: #648169).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Thu, 10 Nov 2011 08:50:03 +0400

broadcom-sta (5.100.82.112-1) unstable; urgency=low

  * New upstream release. 

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Wed, 26 Oct 2011 08:51:03 +0400

broadcom-sta (5.100.82.111-1) unstable; urgency=low

  * New upstream release.
  * Refreshed changelog and license patches.
  * Removed obsolete patch 03-linux-2.6.37.patch.
  * Bumped standards version to 3.9.2 (No changes).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Tue, 25 Oct 2011 08:21:13 +0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
 Build-Depends: debhelper (>= 7), quilt
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.broadcom.com/support/802.11/linux_sta.php
 
 Package: broadcom-sta-common

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),amd64)
	SOURCEDIR=$(CURDIR)/amd64
else # i386
	SOURCEDIR=$(CURDIR)/i386
endif

# some default definitions, important!
#
# Name of the source package
psource:=broadcom-sta-source

# The short upstream name, used for the module source directory
sname:=broadcom-sta

### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# prefix of the target package name
PACKAGE=broadcom-sta-modules
# modifieable for experiments or debugging m-a
MA_DIR ?= /usr/share/modass
# load generic variable handling
-include $(MA_DIR)/include/generic.make
# load default rules, including kdist, kdist_image, ...
-include $(MA_DIR)/include/common-rules.make

# module assistant calculates all needed things for us and sets
# following variables:
# KSRC (kernel source directory), KVERS (kernel version string), KDREV
# (revision of the Debian kernel-image package), CC (the correct
# compiler), VERSION (the final package version string), PKGNAME (full
# package name with KVERS included), DEB_DESTDIR (path to store DEBs)

# The kdist_configure target is called by make-kpkg modules_config and
# by kdist* rules by dependency. It should configure the module so it is
# ready for compilation (mostly useful for calling configure).
# prep-deb-files from module-assistant creates the neccessary debian/ files
kdist_configure: prep-deb-files

# the kdist_clean target is called by make-kpkg modules_clean and from
# kdist* rules. It is responsible for cleaning up any changes that have
# been made by the other kdist_commands (except for the .deb files created)
kdist_clean: clean
	$(MAKE) $(MFLAGS) -f debian/rules clean
#
### end  KERNEL SETUP

# the binary-modules rule is invoked by module-assistant while processing the
# kdist* targets. It is called by module-assistant or make-kpkg and *not*
# during a normal build

binary-modules: prep-deb-files
	dh_testroot
	dh_prep

	# Build the module
	cd $(SOURCEDIR) && \
	make -C $(KSRC) M=$(SOURCEDIR)

	# Install the module
	install -D -m 0644 $(SOURCEDIR)/wl.ko debian/$(PACKAGE)-$(KVERS)/lib/modules/$(KVERS)/kernel/drivers/net/wireless/wl.ko

	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installmodules
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)
	dh_prep

build: patch

clean: unpatch
	dh_testdir
	#dh_testroot

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Create the directories to install the source into
	dh_installdirs -p$(psource)  usr/src/modules/$(sname)/debian usr/src/modules/$(sname)

	# Copy only the driver source to the proper location
	cp -a README.txt amd64 i386 debian/$(psource)/usr/src/modules/$(sname)
	# Copy the needed debian/ pieces to the proper location
	cp debian/*modules.in* \
		debian/$(psource)/usr/src/modules/$(sname)/debian
	cp debian/control debian/rules debian/changelog debian/copyright \
		debian/compat debian/$(psource)/usr/src/modules/$(sname)/debian/
	cd debian/$(psource)/usr/src && tar c modules | bzip2 -9 > $(sname).tar.bz2 && rm -rf modules

	dh_install

binary: binary-indep

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installmodules
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary-arch binary install binary-modules kdist kdist_configure kdist_image kdist_clean

## broadcom-sta 6.30.223.141

=== debian/changelog ===
broadcom-sta (6.30.223.141-1) unstable; urgency=low

  * New upstream release (Yeah!) (Closes: #688823).
  * Refreshed the following patch files:
    - 00-changelog.patch
    - 01-shipped-module.patch
    - 02-license.patch
    - 03-rename-to-wlan0.patch
    - 05-user_ioctl.patch (-> 04-user_ioctl.patch)
  * Dropped applied upstream patch files:
    - 04-linux-semaphore-include.patch
    - 06-2.6.39.patch
    - 07-3.0.0.patch
    - 08-3.2.0.patch
    - 09-3.4.0.patch
    - 10-3.6.0.patch
    - 11-3.8.0.patch
    - 12-3.9.0.patch
  * Added 05-3.10.0.patch for kernel 3.10 compatibility (Closes: #716999).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Mon, 16 Sep 2013 10:19:56 +0400

broadcom-sta (5.100.82.112-11) unstable; urgency=low

  * Added 12-3.9.0.patch for kernel 3.9 compatibility (Closes: #711227).
  * Bumped standards version to 3.9.4 (No changes).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Thu, 06 Jun 2013 17:32:29 +0400

broadcom-sta (5.100.82.112-10) unstable; urgency=low

  * Changed section from non-free/admin to non-free/kernel (See: #698894).
  * Added 11-3.8.0.patch for kernel 3.8 compatibility (Closes: #702788).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Tue, 12 Mar 2013 10:22:56 +0400

broadcom-sta (5.100.82.112-9) unstable; urgency=low

  * Added bcma (which brcmsmac depends on) to blacklist (Closes: #697496).
  * Added 10-3.6.0.patch to fix kernel oops with 3.6 serie (Closes: #698216).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Thu, 24 Jan 2013 09:36:20 +0400

broadcom-sta (5.100.82.112-8) unstable; urgency=low

  * Added 05-user_ioctl.patch to allow normal user to send ioctls.
  * Added 07-3.0.0.patch to use cfg80211 with 3.0 kernels, thanks to Jacopo
    Corbetta <jacopo.corbetta@gmail.com> (Closes: #672677)
  * Added 09-3.4.0.patch to compile with 3.4 kernels, thanks to Eugene San
    <eugenesan@gmail.com>
  * Reorded patches.
  * Export KVER variable to `make` (Closes: #651787)
  * Improved target kernel arch detection. (Closes: #651787)
    It was a pleasure, really.

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Mon, 18 Nov 2012 10:56:27 +0400

broadcom-sta (5.100.82.112-7) unstable; urgency=low

  * Revert architecture to all (Closes: #659732, #659509, #664476)
  * Bumped standards version to 3.9.3 (No changes)

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Tue, 17 Apr 2012 14:08:12 +0400

broadcom-sta (5.100.82.112-6) unstable; urgency=low

  * Added dkms support (Closes: #568034)
  * Remove modass override symlink
  * debian/control:
    - Set architecture to amd64 i386
    - Removed wireless-tools from Suggests since module recommends it
    - Bumped debhelper version to 8
  * debian/control.modules.in:
    - Bumped standards version to 3.9.2 (No changes)
    - Set architecture to amd64 i386
    - Removed quilt from Depends and Build-Depends
    - Bumped debhelper version to 8
  * debian/rules:
    - Moved module specific stuff to debian/rules.modules
    - Removed quilt stuff since it's natively supported by format 3.0
    - Rewrote most of file

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Sat, 28 Jan 2012 09:47:33 +0400

broadcom-sta (5.100.82.112-5) unstable; urgency=low

  * Re-add support for installation from sources (Closes: #655279).
  * Added 06-3.2.0.patch to compile with 3.2 kernels (Closes: #656600, #657049).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Fri, 20 Jan 2012 08:59:07 +0400

broadcom-sta (5.100.82.112-4) unstable; urgency=low

  * Enabled compilation for 64bits kernel on i386 architecture
    (Closes: #651787):
    - Provide one merged src tree with both amd64 and i386 shipped proprietary
      modules.
    - Patch Makefile to select correct shipped module depending on kernel
      configuration.
    - Removed all extra patches (from i386 tree).
    - Removed SOURCEDIR = f(dpkg-architecture) from rules file.
    - Updated series file as well.

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Wed, 14 Dec 2011 08:03:53 +0400

=== debian/control ===
Source: broadcom-sta
Section: non-free/kernel
Priority: optional
Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
Build-Depends: debhelper (>= 8), dkms
Standards-Version: 3.9.4
Homepage: http://www.broadcom.com/support/802.11/linux_sta.php

Package: broadcom-sta-common
Architecture: all
Depends: ${misc:Depends}
Recommends: broadcom-sta-source, module-assistant
Description: Common files for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
 hardware.
 .
 This package contains the common files.

Package: broadcom-sta-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: wireless-tools
Breaks: broadcom-sta-common, broadcom-sta-modules (<< 5.100.82.112-6~), broadcom-sta-source
Replaces: broadcom-sta-common, broadcom-sta-modules (<< 5.100.82.112-6~), broadcom-sta-source
Provides: broadcom-sta-modules
Description: dkms source for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
 hardware.
 .
 This package provides the source code for the wl kernel modules. The
 wireless-tools package is also required in order to make use of these modules.
 Kernel source or headers are required to compile these modules.

Package: broadcom-sta-source
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 8), bzip2, make
Recommends: module-assistant
Description: Source for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
 hardware.
 .
 This package provides the source code for the wl kernel modules. The
 wireless-tools package is also required in order to make use of these modules.
 Kernel source or headers are required to compile these modules.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

version         := $(shell dpkg-parsechangelog | sed -nr '/^Version:/s/Version: (.*:)?(.*)-(.*)/\2/p')

source_name     := broadcom-sta
source_package  := $(source_name)-source
source_target   := usr/src/modules/$(source_name)
source_debdir   := debian/$(source_package)/$(source_target)/debian

dkms_package    := $(source_name)-dkms
dkms_target     := usr/src/$(source_name)-$(version)


%:
	dh $@ --with dkms

install-tmp:
	mkdir -p debian/tmp
	cp -a amd64/* debian/tmp/
	
	# Shipped proprietary precompiled driver
	rm -f debian/tmp/lib/wlc_hybrid.o_shipped
	rm -f debian/tmp/lib/LICENSE.txt # License is in copyright file
	cp amd64/lib/wlc_hybrid.o_shipped debian/tmp/lib/wlc_hybrid.o_amd64
	cp i386/lib/wlc_hybrid.o_shipped debian/tmp/lib/wlc_hybrid.o_i386
	
install-dkms: install-tmp
	dh_installdirs -p $(dkms_package) $(dkms_target)
	dh_install -p $(dkms_package) debian/tmp/* $(dkms_target)/

install-source: install-tmp
	dh_installdirs -p $(source_package) $(source_target)
	dh_install -p $(source_package) debian/tmp/* README.txt $(source_target)/
	
	# Copy Debian files
	install -D -m 0755 debian/rules.modules $(source_debdir)/rules
	for file in changelog compat control control.modules.in copyright; do \
		install -m 644 debian/$$file $(source_debdir); \
	done
	
	# Make suitable tarball for module-assisant and kernel-package
	cd debian/$(source_package)/usr/src && tar cfj $(source_name).tar.bz2 modules && rm -rf modules

override_dh_install: install-dkms install-source

override_dh_dkms:
	dh_dkms -V $(version)

# do nothing
override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_install override_dh_auto_clean:

## broadcom-sta 6.30.223.248

=== debian/changelog ===
broadcom-sta (6.30.223.248-1) unstable; urgency=medium

  * New upstream release (Closes: #756443).
  * Refreshed the following patch files:
    - 00-changelog.patch
    - 01-shipped-module.patch
    - 02-license.patch
    - 03-rename-to-wlan0.patch
    - 04-user_ioctl.patch
  * Dropped applied upstream patch for kernel 3.10 compatibility.
  * Added 05-3.15.0.patch for kernel 3.15 compatibility
    (Closes: #752864, #754434, #757984).
  * Added PCI-ID list file for live-config in broadcom-sta-dkms package
    (Closes: #748679).
  * Added BCM4314- as supported chipset in package's description
    (Closes: #756430).
  * Bumped standards version to 3.9.5 (No changes).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Mon, 11 Aug 2014 08:17:25 +0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
 Build-Depends: debhelper (>= 8), dkms
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.broadcom.com/support/802.11/linux_sta.php
 
 Package: broadcom-sta-common
@@ -28,8 +28,8 @@
 Description: dkms source for the Broadcom STA Wireless driver
  Broadcom STA is a binary-only device driver to support the following IEEE
  802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
- BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
- hardware.
+ BCM4314-, BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, BCM4352, and
+ BCM43228-based hardware.
  .
  This package provides the source code for the wl kernel modules. The
  wireless-tools package is also required in order to make use of these modules.
@@ -42,8 +42,8 @@
 Description: Source for the Broadcom STA Wireless driver
  Broadcom STA is a binary-only device driver to support the following IEEE
  802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
- BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
- hardware.
+ BCM4314-, BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, BCM4352, and
+ BCM43228-based hardware.
  .
  This package provides the source code for the wl kernel modules. The
  wireless-tools package is also required in order to make use of these modules.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 dkms_package    := $(source_name)-dkms
 dkms_target     := usr/src/$(source_name)-$(version)
 
+# Live config
+ids_dir         := usr/share/broadcom-sta
 
 %:
 	dh $@ --with dkms
@@ -29,6 +31,7 @@
 install-dkms: install-tmp
 	dh_installdirs -p $(dkms_package) $(dkms_target)
 	dh_install -p $(dkms_package) debian/tmp/* $(dkms_target)/
+	dh_install -p $(dkms_package) debian/broadcom-sta.ids $(ids_dir)/
 
 install-source: install-tmp
 	dh_installdirs -p $(source_package) $(source_target)

## broadcom-sta 6.30.223.271

=== amd64/Makefile ===
--- 
+++ 
@@ -1,22 +1,27 @@
-
 #
 # Makefile fragment for Linux 2.6
 # Broadcom 802.11abg Networking Device Driver
 #
-# Copyright (C) 2010, Broadcom Corporation
-# All Rights Reserved.
+# Copyright (C) 2015, Broadcom Corporation. All Rights Reserved.
 # 
-# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
-# the contents of this file may not be disclosed to third parties, copied
-# or duplicated in any form, in whole or in part, without the prior
-# written permission of Broadcom Corporation.
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+# 
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
+# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
+# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 #
-# $Id: Makefile_kbuild_portsrc,v 1.6.54.4 2011-01-27 00:55:34 Exp $
+# $Id: Makefile_kbuild_portsrc 580354 2015-08-18 23:42:37Z $
 
 ifneq ($(KERNELRELEASE),)
 
   LINUXVER_GOODFOR_CFG80211:=$(strip $(shell \
-    if [ "$(VERSION)" -ge "2" -a "$(PATCHLEVEL)" -ge "6" -a "$(SUBLEVEL)" -ge "32" ]; then \
+    if [ "$(VERSION)" -ge "2" -a "$(PATCHLEVEL)" -ge "6" -a "$(SUBLEVEL)" -ge "32" -o "$(VERSION)" -ge "3" ]; then \
       echo TRUE; \
     else \
       echo FALSE; \
@@ -96,6 +101,22 @@
 
 endif
 
+#Check GCC version so we can apply -Wno-date-time if supported.  GCC >= 4.9
+empty:=
+space:= $(empty) $(empty)
+GCCVERSIONSTRING := $(shell expr `$(CC) -dumpversion`)
+#Create version number without "."
+GCCVERSION := $(shell expr `echo $(GCCVERSIONSTRING)` | cut -f1 -d.)
+GCCVERSION += $(shell expr `echo $(GCCVERSIONSTRING)` | cut -f2 -d.)
+GCCVERSION += $(shell expr `echo $(GCCVERSIONSTRING)` | cut -f3 -d.)
+# Make sure the version number has at least 3 decimals
+GCCVERSION += 00
+# Remove spaces from the version number
+GCCVERSION := $(subst $(space),$(empty),$(GCCVERSION))
+# Crop the version number to 3 decimals.
+GCCVERSION := $(shell expr `echo $(GCCVERSION)` | cut -b1-3)
+GE_49 := $(shell expr `echo $(GCCVERSION)` \>= 490)
+
 EXTRA_CFLAGS :=
 
 ifeq ($(APIFINAL),CFG80211)
@@ -110,23 +131,38 @@
 
 obj-m              += wl.o
 
-wl-objs            := 
+wl-objs            :=
 wl-objs            += src/shared/linux_osl.o
 wl-objs            += src/wl/sys/wl_linux.o
 wl-objs            += src/wl/sys/wl_iw.o
-wl-objs            += src/wl/sys/wl_cfg80211.o
+wl-objs            += src/wl/sys/wl_cfg80211_hybrid.o
 
-EXTRA_CFLAGS       += -I$(src)/src/include
-EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/phy
-#EXTRA_CFLAGS       += -DBCMDBG_ASSERT
+EXTRA_CFLAGS       += -I$(src)/src/include -I$(src)/src/common/include
+EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/phy -I$(src)/src/wl/ppr/include
+EXTRA_CFLAGS       += -I$(src)/src/shared/bcmwifi/include
+#EXTRA_CFLAGS       += -DBCMDBG_ASSERT -DBCMDBG_ERR
+ifeq "$(GE_49)" "1"
+EXTRA_CFLAGS       += -Wno-date-time
+endif
 
 EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped
 
+KBASE              ?= /lib/modules/`uname -r`
+KBUILD_DIR         ?= $(KBASE)/build
+MDEST_DIR          ?= $(KBASE)/kernel/drivers/net/wireless
+
+# Cross compile setup.  Tool chain and kernel tree, replace with your own.
+CROSS_TOOLS        = /path/to/tools
+CROSS_KBUILD_DIR   = /path/to/kernel/tree
+
 all:
-	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`
+	KBUILD_NOPEDANTIC=1 make -C $(KBUILD_DIR) M=`pwd`
+
+cross:
+	KBUILD_NOPEDANTIC=1 make CROSS_COMPILE=${CROSS_TOOLS} -C $(CROSS_KBUILD_DIR) M=`pwd`
 
 clean:
-	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd` clean
+	KBUILD_NOPEDANTIC=1 make -C $(KBUILD_DIR) M=`pwd` clean
 
 install:
-	install -D -m 755 wl.ko /lib/modules/`uname -r`/kernel/drivers/net/wireless/wl.ko
+	install -D -m 755 wl.ko $(MDEST_DIR)

=== debian/changelog ===
broadcom-sta (6.30.223.271-8) unstable; urgency=low

  [ Roger Shimizu ]
  * debian/patches:
    - Added 20-linux414.patch, and 21-linux415.patch to support
      Linux kernel 4.15
      (Thanks to Gerardo Esteban Malazdrewicz, closes: #885885)
    - Fix typo in 14-rdtscl.patch

  [ Eduard Bloch ]
  * Dropped extra CHANGELOG file (ancient documentation)
  * Standard version update to 4.1.3 (added lintian override to
    broadcom-sta-source since debhelper is used on purpose therein)

 -- Eduard Bloch <blade@debian.org>  Tue, 13 Feb 2018 21:45:18 +0100

broadcom-sta (6.30.223.271-7) unstable; urgency=medium

  * Added 19-linux412.patch to support Linux kernel 4.12
    (Thanks to koos vriezen, closes: #867258)

 -- Eduard Bloch <blade@debian.org>  Sat, 08 Jul 2017 15:03:23 +0200

broadcom-sta (6.30.223.271-6) unstable; urgency=low

  * Added 18-linux411.patch to support Linux kernel 4.11, by koos vriezen
    (closes: #861807)

 -- Eduard Bloch <blade@debian.org>  Tue, 09 May 2017 20:15:42 +0200

broadcom-sta (6.30.223.271-5) unstable; urgency=medium

  * Disable the AppStream metadata again until it's clear how to work around
    confusion with the devices better covered by the free driver
  * Added 17-fix-kernel-warnings.patch from Luis Ortega (avoid useless kernel
    warnings and possibly add better tracibility of bogus auth failures)
    (closes: #843387, #843389)
  * Updated upstream download URL
  * Switch to debhelper 9 (no functional changes)

 -- Eduard Bloch <blade@debian.org>  Tue, 20 Dec 2016 21:53:02 +0100

broadcom-sta (6.30.223.271-4) unstable; urgency=medium

  * Added patch from Koos Vriezen to work around kernel crash with version
    4.8+ (THANKS!) (closes: #839629)
  * Experimental inclusion of AppStream metadata (closes: #838735)
  * Standards update (no changes required)

 -- Eduard Bloch <blade@debian.org>  Tue, 04 Oct 2016 23:25:35 +0200

broadcom-sta (6.30.223.271-3) unstable; urgency=low

  * Added patch to support kernel 4.7 changes, based on
    https://github.com/archlinuxcn/repo/blob/f4d6cff1cacf8dad13006fade5f96bc2cf020a9b/broadcom-wl-dkms/003-linux47.patch
    with minor modifications (closes: #829363)

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Jul 2016 00:42:10 +0200

broadcom-sta (6.30.223.271-2) unstable; urgency=low

  * Added 14-rdtscl.patch (closes: #808954), originally 002-rdtscl.patch from
    https://aur.archlinux.org/cgit/aur.git/snapshot/broadcom-wl-dkms.tar.gz
  * Added device id for Lenovo Yoga 3 (closes: 791672)
  * More explanation about mutually exclusive build systems in the package
    description (closes: #787091)
  * changed the relation between -dkms and others to simple conflict with the
    local binary packages

 -- Eduard Bloch <blade@debian.org>  Fri, 25 Dec 2015 19:15:22 +0100

broadcom-sta (6.30.223.271-1) unstable; urgency=low

  * New upstream release (Closes: #800880).
  * Dropped applied upstream patches (also thanks to Rafael Cunha de Almeida):
    - 09-fix_system_hang_when_deleting_monitor.patch
    - 06-kernel-3.17.0.patch
    - 08-enable_error_traces.patch (stop deviating from upstream)
    - 10-0015-add-support-for-Linux-3.18.patch
    - 11-0016-repair-make-warnings.patch
    - 12-0017-add-support-for-Linux-4.0.patch
    - 14-0018-cfg80211_disconnected.patch
  * Adopted (Raphael):
    - 05-kernel-3.15.0.patch
    - 07-fix_procfs_handling.patch
  * Refreshed: all other except for 00-changelog.patch

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Oct 2015 20:20:36 +0200

broadcom-sta (6.30.223.248-4) unstable; urgency=medium

  * Adopting package after confirmation from maintainer, keeping Cyril
    Lacoux as co-maintainer
  * Added support for kernel 4.2 (0018-cfg80211_disconnected.patch, by Tim
    Garnder / Canonical, closes: #796372)

 -- Eduard Bloch <blade@debian.org>  Sat, 26 Sep 2015 12:26:59 +0200

broadcom-sta (6.30.223.248-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to include arch-indep packages

 -- Eduard Bloch <blade@debian.org>  Sun, 10 May 2015 22:56:43 +0200

broadcom-sta (6.30.223.248-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Added broadcom-sta-6.30.223.248-linux-3.18-null-pointer-crash.patch to
    prevent potential problems with recent kernels (closes: #773713)

 -- Eduard Bloch <blade@debian.org>  Wed, 06 May 2015 21:22:40 +0200

broadcom-sta (6.30.223.248-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added Canonical patches to support Linux kernel versions up to 4.0.0
    (closes: #773713)
  * Set some variables right for kernel-package/module-assistant usage, 
    to build correctly against headers without having to boot that kernel

 -- Eduard Bloch <blade@debian.org>  Wed, 29 Apr 2015 11:50:17 +0200

broadcom-sta (6.30.223.248-3) unstable; urgency=medium

  * Synced supported chipsets list with README.txt file (Closes: #762954).
  * Bumped standards version to 3.9.6 (No changes).
  * Added series of patches from Mickael MASSON <mmasson.dev@gmail.com> to
    fix system hang when activating monitor mode (Closes: #770327).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Sun, 07 Dec 2014 17:49:06 +0400

broadcom-sta (6.30.223.248-2) unstable; urgency=medium

  * Switched compression method from bz2 to xz.
  * Added 06-3.17.0.patch for kernel 3.17 compatibility (Closes: #762711).
  * Fixed broken variable for kernel version when compiling with
    module-assistant (Closes: #763550).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Mon, 20 Oct 2014 19:53:44 +0400

=== debian/control ===
Source: broadcom-sta
Section: non-free/kernel
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Uploaders: Cyril Lacoux <clacoux@easter-eggs.com>, Roger Shimizu <rosh@debian.org>
Build-Depends: debhelper (>= 9.2), dkms
Standards-Version: 4.1.3
Homepage: http://www.broadcom.com/support/802.11/linux_sta.php
Vcs-Git: https://salsa.debian.org/broadcom-sta-team/broadcom-sta.git

Package: broadcom-sta-common
Architecture: all
Depends: ${misc:Depends}
Recommends: broadcom-sta-source, module-assistant
Description: Common files for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43142-, BCM43224-, BCM43225-, BCM43227-, BCM43228-,
 BCM4331-, BCM4360-, and BCM4352-based hardware.
 .
 This package contains the common files and it should not be installed manually
 (it will be installed automatically as needed).

Package: broadcom-sta-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: wireless-tools
Conflicts: broadcom-sta-modules
Provides: broadcom-sta-modules
Description: dkms source for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43142-, BCM43224-, BCM43225-, BCM43227-, BCM43228-,
 BCM4331-, BCM4360-, and BCM4352-based hardware.
 .
 This package provides the source code for the wl kernel modules and makes use
 of the DKMS build utility to install them for the running kernel. The
 alternative package broadcom-sta-source can be used instead in case of build
 problems.
 .
 The wireless-tools package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.

Package: broadcom-sta-source
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 8), make, xz-utils
Recommends: module-assistant
Description: Source for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43142-, BCM43224-, BCM43225-, BCM43227-, BCM43228-,
 BCM4331-, BCM4360-, and BCM4352-based hardware.
 .
 This package provides the source code for the wl kernel modules. It makes use
 of kernel-package or module-assistant build systems. The alternative
 broadcom-sta-dkms package can be installed instead and might be easier to use
 with simple system configurations.
 .
 The wireless-tools package is also required in order to make use of these
 modules.  Kernel source or headers are required to compile these modules.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 
 # Live config
 ids_dir         := usr/share/broadcom-sta
+
+# AppStream data
+metadata_dir    := usr/share/appdata
 
 %:
 	dh $@ --with dkms
@@ -32,6 +35,8 @@
 	dh_installdirs -p $(dkms_package) $(dkms_target)
 	dh_install -p $(dkms_package) debian/tmp/* $(dkms_target)/
 	dh_install -p $(dkms_package) debian/broadcom-sta.ids $(ids_dir)/
+# disable the AppStream metadata until it's clear how to work around confusion with the devices supported by the free driver
+#	dh_install -p $(dkms_package) debian/broadcom-sta-dkms.metainfo.xml $(metadata_dir)/
 
 install-source: install-tmp
 	dh_installdirs -p $(source_package) $(source_target)
@@ -44,7 +49,7 @@
 	done
 	
 	# Make suitable tarball for module-assisant and kernel-package
-	cd debian/$(source_package)/usr/src && tar cfj $(source_name).tar.bz2 modules && rm -rf modules
+	cd debian/$(source_package)/usr/src && tar cfJ $(source_name).tar.xz modules && rm -rf modules
 
 override_dh_install: install-dkms install-source
